/** The root class of the Clock application.
 * To use the program run the command:
 * <pre>
 *		java -Xdock:name="Comp6700/2750 Clock" Clock
 * </pre>
 * It creates Observable model, Observer view,
 * and register view with model 
 
 * @author Ian Barnes (2005 original version)
 * @author abx (2007 adopted for a GUI assignment and javadoc tags added)
 */


public class Clock {
    
    /** the main method: creates model
     * @param args the command line arguments (none intended) */
    public static void main(String[] args) {
        /** model to contain the data and functions for time management 
         * @see Model */
        Model model = new Model();
        /** view linked to the model
         * @see View */
        View view = new View(model);
        /** makes model observable by view, so an change in model is traced by view */
        model.addObserver(view);
        
        /** controller which links the model and view to the user */
        @SuppressWarnings("unused")
		Controller controller = new Controller(model, view);
    }
}
